Package edu.msu.cme.rdp.multicompare.visitors

# Class EstimateSPrintVisitor

java.lang.Object
edu.msu.cme.rdp.multicompare.visitors.EstimateSPrintVisitor

All Implemented Interfaces:
  `edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>`

public class EstimateSPrintVisitor extends Object implements edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>

## Constructor Summary

Constructors
Constructor
Description
`EstimateSPrintVisitor(PrintStream out, List<MCSample> samples, String rank, int nodeCount)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`visitNode(edu.msu.cme.rdp.taxatree.VisitInfo<MCTaxon> info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EstimateSPrintVisitor

public EstimateSPrintVisitor(PrintStream out, List<MCSample> samples, String rank, int nodeCount)

## Method Details

### visitNode

public boolean visitNode(edu.msu.cme.rdp.taxatree.VisitInfo<MCTaxon> info)

Specified by:
  `visitNode` in interface `edu.msu.cme.rdp.taxatree.interfaces.TreeVisitor<MCTaxon>`